webentwicklung-frage-antwort-db.com.de

pyenv zlib error unter MacOS:

Mein Ziel

Ich versuche, Python 2.7.5 und 3.6.5 zusammen mit mit pyenv auf meinem MBP zu installieren.

pyenv Installation

Folgendes Wie kann ich Homebrew verwenden, um Python 2 und 3 auf Mac zu installieren? , habe ich versucht:

$ pyenv install 3.6.5

Welches irrte mit:

python-build: use openssl from homebrew
python-build: use readline from homebrew
Downloading Python-3.6.5.tar.xz...
-> https://www.python.org/ftp/python/3.6.5/Python-3.6.5.tar.xz
Installing Python-3.6.5...
python-build: use readline from homebrew

BUILD FAILED (OS X 10.13.4 using python-build 20160602)

Inspect or clean up the working tree at /var/folders/d0/t8d3jjp161g2dyrd4k67ypc80000gn/T/python-build.20180426091253.34709
Results logged to /var/folders/d0/t8d3jjp161g2dyrd4k67ypc80000gn/T/python-build.20180426091253.34709.log

Last 10 log lines:
  File "/private/var/folders/d0/t8d3jjp161g2dyrd4k67ypc80000gn/T/python-build.20180426091253.34709/Python-3.6.5/Lib/ensurepip/__main__.py", line 5, in <module>
    sys.exit(ensurepip._main())
  File "/private/var/folders/d0/t8d3jjp161g2dyrd4k67ypc80000gn/T/python-build.20180426091253.34709/Python-3.6.5/Lib/ensurepip/__init__.py", line 204, in _main
    default_pip=args.default_pip,
  File "/private/var/folders/d0/t8d3jjp161g2dyrd4k67ypc80000gn/T/python-build.20180426091253.34709/Python-3.6.5/Lib/ensurepip/__init__.py", line 117, in _bootstrap
    return _run_pip(args + [p[0] for p in _PROJECTS], additional_paths)
  File "/private/var/folders/d0/t8d3jjp161g2dyrd4k67ypc80000gn/T/python-build.20180426091253.34709/Python-3.6.5/Lib/ensurepip/__init__.py", line 27, in _run_pip
    import pip
zipimport.ZipImportError: can't decompress data; zlib not available
make: *** [install] Error 1

Was habe ich versucht

  • Zlib installieren: brew install zlib

Meine Frage

Wie kann ich mehrere Python Umgebungen mit pyenv auf MBP installieren?

33
Adam Matan

Auf Mojave musste nach der Installation der Xcode-Befehlszeilentools Folgendes ausgeführt werden:

Sudo installer -pkg /Library/Developer/CommandLineTools/Packages/macOS_SDK_headers_for_macOS_10.14.pkg -target /
96
samsin
brew install zlib
export LDFLAGS="-L/usr/local/opt/zlib/lib"
export CPPFLAGS="-I/usr/local/opt/zlib/include"
pyenv install 3.7.2

Samsins Antwort hat bei mir nicht funktioniert. Ich hatte kein Packages dir

6
James Zaghini

Das pyenv-Wiki enthält eine Seite, die sich speziell mit häufigen Build-Problemen befasst. Es gibt einige mögliche Lösungen für den fehlender zlib-Fehler .

Ich habe den gleichen ZipImportError, aber mit dem folgenden Befehl ist die Installation erfolgreich:

CFLAGS="-I$(xcrun --show-sdk-path)/usr/include" pyenv install 3.6.5
0
jayeff